public class DigitalOutTest
{
	public static void main(String[] args)
	{
		RoombaControl theControl = RoombaControl.getInstance();
		
		System.out.println("Setting safe mode!");
		
		theControl.setSafeMode();
		
		theControl.setPowerLEDState(1.0, 1.0);
		
		System.out.println("Sending 1s!");
		
		for(int i = 0; i < 1; ++i)
		{
			System.out.println("i: " + i);
			theControl.digitalOut(i, 1);
			try
			{
				Thread.sleep(1000);
			}
			catch(Exception e)
			{
				// do nothing
			}
		}
			
		theControl.setPowerLEDState(0.0,1.0);
			
		try
		{
			Thread.sleep(1000);
		}
		catch(Exception e)
		{
			// do nothing
		}
		
		System.out.println("Sending 0s!");
		
		for(int i = 0; i < 1; ++i)
			theControl.digitalOut(i, 0);
	}
}