import javax.swing.*;

public class LinkArrow
{
	protected JInternalFrame src;
	protected JInternalFrame dest;
	
	public LinkArrow(JInternalFrame nsrc, JInternalFrame ndest)
	{
		src = nsrc;
		dest = ndest;
	}
	
	public int sx()
	{
		if(src != null)
			return src.getX() + src.getWidth() / 2;
		else
			return -1;
	}
	
	public int sy()
	{
		if(src != null)
			return src.getY() + src.getHeight();
		else
			return -1;
	}
	
	public int dx()
	{
		if(dest != null)
			return dest.getX() + dest.getWidth() / 2;
		else
			return -1;
	}
	
	public int dy()
	{
		if(dest != null)
			return dest.getY();
		else
			return -1;
	}
}