import java.util.ArrayList;

public class LocalizationTester
{
	public static void main(String[] args)
	{
		final double UNCERTAINTY = 10.0;
		
		PPoint[] posts = new PPoint[4];
		posts[0] = new PPoint(0.0, 0.0);
		posts[1] = new PPoint(182.88, 0.0);
		posts[2] = new PPoint(182.88, 182.88);
		posts[3] = new PPoint(0.0, 182.88);
		
		PPoint testPoint = new PPoint(90.0, 90.0);
		
		ArrayList<TrackingPost> tposts = new ArrayList<TrackingPost>();
		
		for(int i = 0; i < posts.length - 1; ++i)
		{
			TrackingPost curPost = new TrackingPost();
			curPost.postNum = i;
			curPost.distance = posts[i].distanceTo(testPoint) + (((Math.random()*2.0)-1.0) * UNCERTAINTY);
			tposts.add(curPost);
		}
		
		TrackingPost curPost = new TrackingPost();
		curPost.postNum = 2;
		curPost.distance = posts[2].distanceTo(testPoint) + (((Math.random()*2.0)-1.0) * UNCERTAINTY);
		tposts.add(curPost);
		
		PPoint resultPoint = LocationUtils.distanceLocalize(tposts);
		
		System.out.println("x: " + resultPoint.x + ", y: " + resultPoint.y);
	}
}