public class ServoTest
{
	static SimpleSerial simpleSerial;
	
	public static void main(String[] args)
	{
		simpleSerial = new SimpleSerialJava(9, 9600, 8, SimpleSerial.ONESTOPBIT, SimpleSerial.NOPARITY);
		
		try { Thread.sleep(1000); } catch (InterruptedException e) {}
		
		String test = "BD0SV2M10";
		
		sendString(test);
	}
	
	protected static void sendString(String str)
	{
		byte[] values = str.getBytes();
	    
	    for(int i = 0; i < values.length; ++i)
	    {
			try { Thread.sleep(1); } catch (InterruptedException e) {}
			System.out.println("Byte: " + values[i]);
	    	simpleSerial.writeByte(values[i]);
	    }
	    
	    simpleSerial.writeByte((byte)13);		
		
	}
	
	protected static void sendValues(int[] values)
	{
	    for(int i = 0; i < values.length; ++i)
	    {
			try { Thread.sleep(1); } catch (InterruptedException e) {}
	    	simpleSerial.writeByte((byte)(values[i]));
	    }
	    
	    simpleSerial.writeByte((byte)13);
	}
}